This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 57608 - Cannot ftp to server after installing wu-ftpd-2.6.1-16.7x.1.i386
Cannot ftp to server after installing wu-ftpd-2.6.1-16.7x.1.i386
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-17 11:45 EST by mitchell mcgee
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-17 12:27:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mitchell mcgee 2001-12-17 11:45:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
After running rpm -Uvh wu-ftpd-2.6.1-16.7x1.i386 and rebooting, all 
attempts to ftp to the affected sever result in "Connection Refused."  
Changes to the new ftpaccess file including:
removing the following totally and in various combinations
deny-uid %-99 %65534-
deny-gid %-99 %65534-
allow-uid ftp
allow-gid ftp

and substituting classes from previous ftpaccess for class   all   
real,guest,anonymous  *

and rebooting failed to resolve the problem.  Even restoring the previous 
ftpaccess file and rebooting did not correct it.

Uninstalling wu-ftpd and reinstalling wu-ftpd-2.6.1-6 from the Red Hat 7.0 
installation CD, restores the ftp functionality, but without the security 
enhancements available in 16.7x1.


Version-Release number of selected component (if applicable):
wu-ftpd-2.6.1-16.7x1.i386

How reproducible:
Always

Steps to Reproduce:
1.rpm -Uvh wu-ftpd-2.6.1-16.7x1.i386.rpm
2.reboot
3.From another LINUX or NT server on the LAN
>ftp
>open (server DNS/IP)
	

Actual Results:  Message returned "Connection Refused".

Expected Results:  Message returned "Connected to" (server DNS).
Prompt for user name and password.

Additional info:

We are running Red Hat 7.0, kernel 2.2.19-7.0.12 on both affected servers 
one with SMP and on without.  The servers are COMPAQ Proliant 1600, and 
ML370.
Comment 1 Bernhard Rosenkraenzer 2001-12-17 11:51:19 EST
Does "chkconfig wu-ftpd on ; service xinetd restart" fix the problem?

Btw: There is no need whatsoever to reboot the system after upgrading anything other than the kernel.
Comment 2 mitchell mcgee 2001-12-17 12:27:42 EST
Running ...

chkconfig wu-fptd on
service xinetd reload

fixed the problem.

The reason I am rebooting is that both this problem and one I was having with a 
telnet upgrade did not show up until the system had been rebooted.  In the case 
of the telnet upgrade we did not start experiencing problems until a week after 
the upgrade and after our normal weekend reboot.  Consequently, it was not 
immediately apparent that the problem was related to the upgrade.

Thanks.
Comment 3 Bernhard Rosenkraenzer 2002-01-17 12:00:28 EST
Ok, closing NOTABUG since this is the expected behavior.

Note You need to log in before you can comment on or make changes to this bug.